Thursday, May 13, 2010

Where are the old versions of libccid and pcsc-lite?

Some people request old versions of the libccid driver or the pcsc-lite middleware (for obscure reasons). These versions are no more supported and should not be used. You will not get support from me. But maybe you work on the history of famous Free Software projects :-).

But you can find the source code online thanks to the service from Debian.
  • Versions of pcsc-lite from 1.0.2.beta5-1 (2005-03-12) are here.
  • Version of libccid from 0.9.2-2 (2005-03-12) are here.

It is also possible to use tagged version from the subversion repository. But you will not get a .tar.gz archive, just the source code files.
You may note that the versions from subversion do not go back as far as from This is because, at the origin, the code was managed in CVS (not subversion) and not all the versions have been tagged (AFAIR).